lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require ('./lib/fluent/plugin/version.rb')

Gem::Specification.new do |spec|
  spec.name          = "fluent-plugin-aws-sqs"
  spec.version       = SQS::VERSION

  spec.authors       = ["Shai Moria", "Niv Lipetz", "Jacob Goldenberg"]
  spec.email         = ["shai.moria@zooz.com", "niv.lipetz@zooz.com", "jacob.goldenberg@zooz.com"]
  spec.description   = "Fluentd SQS plugin to read data from AWS SQS"
  spec.summary       = "Fluentd SQS plugin to read data from AWS SQS"
  spec.homepage      = "https://github.com/zooz/fluent-plugin-aws-sqs"

  spec.files         = `git ls-files`.split($\)
  spec.require_paths = ["lib"]
  spec.license = "Apache-2.0"

  spec.required_ruby_version = '>= 2.1'

  spec.add_runtime_dependency "fluentd", ">= 0.14.0"
  spec.add_runtime_dependency "aws-sdk-sqs", ">= 1.22.0"
  spec.add_development_dependency "bundler"
  spec.add_development_dependency "rake", "~> 12.0"
  spec.add_development_dependency "test-unit", ">= 3.1.0"
  spec.add_development_dependency "test-unit-rr"
end
